# coding=utf-8

from django.core.management import BaseCommand

from api.models import User, Person, LOGIN_AUTH_TYPE
from rpc.cache import code_cache



class Command(BaseCommand):

    def add_arguments(self, parser):
        # Positional arguments
        parser.add_argument('phone', type=str)

    def handle(self, *args, **options):
        phone =  options['phone']
        key = "phone:login:%s" % (phone)
        print code_cache.get(key)
